<?php

/**
 * Page de traitement permettant l'ajout d'un domaine.
 * C'est elle qui effectue les bons tests et appel la fonction adéquate.
 * Elle est appelée par un formulaire de la page de gestion des domaines elle-même appelée par la page d'administration centrale.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/domaines.php");

if (isset($_POST['nom_domaine']) && !empty($_POST['nom_domaine'])) {
	ajoutDomaineBdd($pdo,$_POST['nom_domaine']);
	header ("Location: /pages/gestion/administration.php?page=domaines&succes=5");
	die();
}
else {
	header ("Location: /pages/gestion/administration.php?page=domaines&erreur=6");
	die();
}

?>